DROP TABLE IF EXISTS weaver_common_async_event
;
CREATE TABLE weaver_common_async_event (
  id varchar(250) NOT NULL COMMENT '主键',
  createTime datetime DEFAULT NULL COMMENT '创建时间',
  updateTime datetime DEFAULT NULL COMMENT '更新时间',
  eventRole int(8) DEFAULT '0' COMMENT '0生产者或1消费者',
  producerApplicationName varchar(250) DEFAULT NULL COMMENT '生产者名称',
  consumerApplicationName varchar(250) DEFAULT NULL COMMENT '消费者名称',
  sendType int(8) DEFAULT '0' COMMENT '发送方式',
  queue varchar(250) DEFAULT NULL COMMENT '队列名称',
  topic varchar(250) DEFAULT NULL COMMENT '主题名称',
  message text COMMENT '消息体',
  sendStatus int(8) DEFAULT '0' COMMENT '发送状态',
  retryCount int(8) DEFAULT '0' COMMENT '重试次数',
  consumerStatus int(8) DEFAULT '0' COMMENT '消费状态',
  consumerParam varchar(1000) DEFAULT NULL COMMENT '消费执行失败后回写参数',
  PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

ALTER TABLE weaver_common_async_event ADD INDEX async_create_time (createTime)
;
ALTER TABLE weaver_common_async_event ADD INDEX async_update_time (updateTime)
;
